ReferenceItem lists
Sizes
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/sizes' \ -H 'Authorization: Bearer <access-token>'[ { "groupId": 0, "id": 0, "name": "string" }]POST
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- body
groupId?|Format
int32id?integerFormat
int32name?|Length
length <= 50application/json- response
groupId?|Format
int32id?integerFormat
int32name?|Length
length <= 50curl -X POST 'https://<your-instance>/api/item-lists/sizes' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "groupId": 0, "id": 0, "name": "string"}GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
groupId?|Format
int32id?integerFormat
int32name?|Length
length <= 50curl -X GET 'https://<your-instance>/api/item-lists/sizes/0' \ -H 'Authorization: Bearer <access-token>'{ "groupId": 0, "id": 0, "name": "string"}PATCH
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- body
groupId?|Format
int32id?integerFormat
int32name?|Length
length <= 50application/json- response
groupId?|Format
int32id?integerFormat
int32name?|Length
length <= 50curl -X PATCH 'https://<your-instance>/api/item-lists/sizes/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "groupId": 0, "id": 0, "name": "string"}DELETE
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32curl -X DELETE 'https://<your-instance>/api/item-lists/sizes/0' \ -H 'Authorization: Bearer <access-token>'Empty